> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v3/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/types.md).

# Types

Gather an overview of all the types available via the types' endpoints.

Use one of our three types' endpoints. Per endpoint, you can find the details, including base URL, parameters, includes and more.&#x20;

* **GET All Types:** returns all the types that are available within your subscription.
* **GET Type by ID:** returns information from your requested type ID.
* **GET Type by Entity:** Returns types which are available per entity.

#### Include options

`None`

**Related Entities:**

Get an overview and explanation of all the fields returned in the API response. The related entities for the types' endpoints are:

* [Type](https://docs.sportmonks.com/football/v/core-api/entities/core#type)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportmonks.com/v3/endpoints-and-entities/endpoints/types.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
